:root {
/* COLOR */
    --color-main: #F3ECE2;
    --color-secondary: #DFB292;
    --color-light: #F8F8F8;
    --color-text: #343B43;
    --color-highlight: #EF5B2A;
/* FONT FAMILY */
    --font-heading: 'Manrope', sans-serif;
    --font-body: 'Rubik', sans-serif;
/* FONT WEIGHT */
    --font-semi-bold: 400;
    --font-bold: 600;
}

body {
    margin: 0;
    width: 100%;
    height: 100%;
}

html {
    font-size: 16px;
    font-family: var(--font-body);
    font-weight: 300;
    color: var(--color-text);
    background-color: var(--color-main);
}

/* DIVIDER */
.divider {
    height: 0.2rem;
    background-color: var(--color-highlight);
    margin: 1rem;
}

/* BACKGROUND COLOR */
.html-background {
    height: 473px;
    position: relative;
    }

.html-background:after {
    content:' ';
    position: absolute;
    top: 620px;
    width:100%;
    height:100%;
    z-index: -1;
    }

.html-background:after {background: var(--color-secondary);}

    /* BACKGROUND COLOR CONTACT US */
.html-background__contactUs {
    height: 588px;
    position: relative;
    }

.html-background__contactUs:after {
    content:' ';
    position: absolute;
    top: 76px;
    width:100%;
    height:100%;
    z-index: -1;
    }

.html-background__contactUs:after {background: var(--color-secondary);}

/* HEADER */
#mainLogo {
    width: 5rem;
}

header {
    display : flex;
    align-items: center;
    margin: 1rem;
}

.header__logoTitle, .header__nav {
    display: flex;
    flex-direction: row;
}

.header__logoTitle {
    flex: 1;
    width: 100%;
}

.header__menuButton, .header__searchButton {
    width: 2.8rem;
    height: 2.8rem;
}

.header__menuButton {
    margin-right: 1rem; 
}

header > section {
    display: flex;
    gap: 1rem;
}

.navContainer--desktop {
    text-align: end;
}

/* HEADER ARTS */

.arts:before {
    content: " ";
    display: block;
    width: 64px;
    height: 2px;
    background-color: var(--color-highlight);
}

/* HEADER HOME */

.home:before {
    content: " ";
    display: block;
    width: 70px;
    height: 2px;
    background-color: var(--color-highlight);
}

/*  HEADER ABOUTUS */

.aboutUs:before {
    content: " ";
    display: block;
    width: 115px;
    height: 2px;
    background-color: var(--color-highlight);
}

/*  HEADER EXHIBITIONS */

.exhibitions {
    content: " ";
    display: block;
    width: 146px;
    height: 2px;
    background-color: var(--color-highlight);
}

/* BETWEEN HEADER & CARDS */

#mainTitle {
    font-family: var(--font-heading);
    font-weight: 500;
    font-size: 1.5rem;
    text-align: center;
}

/* CARDS */
.article__card {
    display: flex;
    flex-direction: column;
}

.cardContainer {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin: 1rem;
    margin-bottom: 2rem;
    padding: 0.9rem;
    background-color: var(--color-light);
    border-radius: 5px;
    box-shadow: 2px 4px 4px #343b4396;
    flex: 1;
}

.cardContainer__title {
    color: var(--color-text);
    font-family: var(--font-heading);
    font-weight: 300;
    font-size: 1.7rem;
    margin: 1rem;
    text-shadow: 4px 4px var(--color-secondary);
}

.cardContainer__imgContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    height: 200px;
    overflow: hidden;
    margin: 1rem 0 1rem 0;
}

.cardContainer__img {
    width: 100%;
}

.cardContainer__description {
    margin : 0.8rem;
    font-size: 1rem;
    text-align: justify;
}

.cardContainer--textBold {
    font-weight: var(--font-bold);
}

.cardContainer__divider {
    margin: 2rem 1rem 2rem 1rem;
}

.cardContainer__readBtn {
    color: var(--color-text);
    font-family: var(--font-heading);
    font-weight: var(--font-semi-bold);
    font-size: 1.5rem;
    text-decoration: none;
    padding-bottom: 1rem;
}

/* ARTICLE */

.cardContainerArticle {
    max-width: 1050px;
    margin: 3rem 1rem 2rem 1rem;
    padding: 0.9rem;
    background-color: var(--color-light);
    border-radius: 5px;
    box-shadow: 2px 4px 4px #343b4396;
}

.cardContainerArticle__title {
    text-align: center;
    color: var(--color-text);
    font-family: var(--font-heading);
    font-weight: 500;
    font-size: 1.5rem;
    margin: 2rem;
    text-shadow: 4px 4px var(--color-secondary);
}

.cardContainerArticle__articleBody__intro, .cardContainerArticle__articleBody__main, .cardContainerArticle__intro {
    margin: 1rem;
    text-align: justify; 
    font-size: 1rem;
    line-height: 1.75rem;
    text-indent: 20px;
  } 

.cardContainerArticle__intro {
    font-size: 1rem;
    line-height: 1.75rem;
}

.cardContainerArticle__imgContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1.5rem;
}

.cardContainerArticle__img {
    margin: 1rem 2rem 0 2rem;
    width : 280px;
    border-radius: 5px;
}

.cardContainerArticle__articleBody {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.article_divider {
    height: 1.5px;
    width: 230px;
}

/* .cardContainerArticle__articleBody__intro:before, .cardContainerArticle__articleBody__intro:after {
    content: "";
    display: block;
    position: absolute;
    left: 500px;
    width: 230px;
    height: 1.5px;
    background-color: var(--color-highlight);
} */

/* CONTACT US */

.contactUs__title {
    font-family: var(--font-heading);
    font-weight: 500;
    font-size: 1.5rem;
    text-align: center;
}

.form__container {
    display: flex;
    flex-direction: column;
    margin: 1rem;
    margin-bottom: 2rem;
    padding: 1.2rem;
    background-color: var(--color-light);
    border-radius: 5px;
    box-shadow: 2px 4px 4px #343b4396;
}

.btn__container {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.btnSubmit {
    margin: 0 1rem 0 0;
    padding: 0.3rem 0.8rem 0.3rem 0.8rem;
    background-color: var(--color-light);
    border: 0px;
    border-radius: 5px;
    box-shadow: 2px 4px 4px #343b4396;
    font-size: 1.25rem;
}

label {
    margin-bottom: 1rem;
}

.form__email, .form__subject, .form__message {
    font-weight: 500;
    margin-bottom: 1rem; 
    background-color: rgba(255, 255, 255, 0);
    border: 0px;
    border-bottom: 1px solid var(--color-highlight);
}

.form__message {
    height: 200px;
}

/* FOOTER */

.footer__logoTitle {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 1rem;
}

#footerLogo {
    height: 3rem;
}

.footer__contactInfo {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer__addressPhone {
    text-align: center;
    line-height: 1.8rem;
}

.footer__contactUsBtn {
    color: var(--color-text);
    font-family: var(--font-heading);
    font-weight: var(--font-semi-bold);
    font-size: 1.5rem;
    text-decoration: none;
    margin: 1rem 0 1rem 0;
}

.footer__socialNetworkMobile {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 1rem;
    gap: 1rem;
}

/* Désactivation du menu desktop & de searchButton_Orange & de header__invisibleBtn */
.navContainer--desktop, .header__searchButtonOrange, .header__invisibleBtn {
    display: none;
}

/* Désactivation du titre du logo */
.header__title {
    display: none;
    font-family: var(--font-heading);
}

/* Désactivation des titre dans le footer */
.footer__socialNetworkDesktop, .footer__title, .navContainer__footer, .footer__socialNetworkContactUs__container {
    display: none;
}

/* Modification de l'apparence en fonction de la taille del'écran */
@media screen and (min-width: 767px) {
    /* BACKGROUND COLOR */
    html {
        height:600px;
        position: relative;
        }
    
    html:after {
        content:' ';
        position: absolute;
        width:100%;
        height:82%;
        z-index: -1;
        }
    
    /* BACKGROUND COLOR CONTACT US */
    .html-background__contactUs {
        height:100px;
        position: relative;
        }

    .html-background__contactUs:after {
        content:' ';
        position: absolute;
        top: 96px;
        left: 50%;
        width:100%;
        height:100%;
        z-index: -1;
        }

    .html-background__contactUs:after {background: var(--color-secondary);}
        
    /* HEADER */

    .header__title {
        display: block;
        font-family: var(--font-heading);
        font-weight: 100;
        font-size: 1rem;
    }

    .header__menuButton, .header__searchButton {
        display: none;
    }

    .header__searchButtonOrange, .header__invisibleBtn {
        display: block;
        height: 1.5rem;
    }

    header {
        display: flex;
        flex-direction: column;
        margin: 1rem 1rem 0 1rem;
    }

    .header__sectionNav {
        width: 100%;
        display: flex;
    }

    .header__nav {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .navContainer--desktop {
        display: flex;
        list-style: none;
        gap: 4rem;
        margin: 0;
        padding: 0;
    }

    .navContainer--menuBtn {
        font-family: var(--font-heading);
        font-weight: var(--font-bold);
        color: var(--color-highlight);
        font-size: 1.5rem;
        text-decoration: none;
    }

    .navBar__divider {
        margin: 0rem 1rem 1rem 1rem;
    }

    /* CARDS */
    .article__cardContainer {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        margin: 1rem;
    }

    .cardContainer {
        max-width : 400px;
        max-height: 550px;
    }

    .cardContainer__imgContainer {
        display: flex;
        flex-direction: column;
        border-radius: 5px;
        height: 200px;
        overflow: hidden;
        margin: 1rem 0 1rem 0;
    }

    .cardContainer__middleCard {
        max-width : 400px;
        max-height: 550px;
        /* display: flex;
        flex-direction: column;
        align-items: center;
        flex: 1; */
    }

    .cardContainer--special {
        margin-top: 14rem;
    }

    /* ARTICLES */

    .article__cardContainerArticle {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .cardContainerArticle {
        max-width: 1050px;
        margin: 3rem 1rem 2rem 1rem;
        padding: 0.9rem;
        background-color: var(--color-light);
        border-radius: 5px;
        box-shadow: 2px 4px 4px #343b4396;
    }
    
    .cardContainerArticle__title {
        text-align: center;
        color: var(--color-text);
        font-family: var(--font-heading);
        font-weight: 500;
        font-size: 3.125rem;
        margin: 2.5rem;
        text-shadow: 7px 7px var(--color-secondary);
    }
    
    .article_divider {
        height: 1.5px;
        width: 25%;
        position: relative;
        margin-left : 60%;
        margin-top: 2.5rem;
        margin-bottom: 2.5rem;
    }

    .cardContainerArticle__articleBody__intro, .cardContainerArticle__articleBody__main, .cardContainerArticle__intro {
        margin: 2rem;
        text-align: justify; 
        font-size: 1.125rem;
        line-height: 1.75rem;
        text-indent: 50px;
    }
    
    .cardContainerArticle__articleBody {
        display: block;
    }
    
    .cardContainerArticle__intro {
        font-size: 1.375rem;
        line-height: 2rem;
    }
    
    .cardContainerArticle__imgContainer {
        float: left;
        margin: 0 5px 5px 5px;
    }
    
    .cardContainerArticle__img {
        margin: 0rem 2rem 0 2rem;
        width : 400px;
        border-radius: 5px;
    }

    /* FOOTER */
    .footer__socialNetworkMobile, .footer__contactUsBtn {
        display: none;
    }

    .footer__socialNetworkDesktop, .footer__title, .navContainer__footer, .footer__socialNetworkContactUs__container {
        display: block;
    }

    .footer__topDivider, .footer__bottomDivider {
        margin: 3rem 1rem 3rem 1rem;
    }

    .footer__title {
        font-family: var(--font-heading);
        font-weight: var(--font-bold);
        font-size: 1.25rem;
    }

    .footer__container {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
    }

    .footer__contactInfo {
        align-items: flex-start;
    }

    .footer__addressPhone {
        text-align: left;
        line-height: 1.8rem;
    }

    .navContainer__footer {
        list-style: none;
        padding: 0;
        line-height: 1.75rem;
    }

    .navContainer--footerBtn {
        text-decoration: none;
        font-size: 1.25rem;
        color: var(--color-text);
    }

    .footer__socialNetworkContactUs__container {
        margin-top: 3rem;
    }

    .footer__contactUsBtnDesktop {
        text-decoration: none;
        font-size: 1.25rem;
        color: var(--color-text);
    }

    .footer__bottomDivider {
        margin: 1rem 0 1rem 0;
    }
}

/* ADDITIONAL CLASSES for JS*/

.hidden {
    display: none;
}

.btnSubmitted {
    margin: 0 1rem 0 1rem;
    padding: 0.3rem 0.8rem 0.3rem 0.8rem;
    background-color: var(--color-light);
    border: 0px;
    border-radius: 5px;
    box-shadow: 2px 4px 4px #343b4396;
    font-size: 1rem;
    text-align: center;
}